Download it now!
Bug 87405 - SIDEBAR: Impress/Draw code sharing causing problem with sidebar default state
Summary: SIDEBAR: Impress/Draw code sharing causing problem with sidebar default state
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: ux-advise (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2014-12-17 09:51 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-24 15:45 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-12-17 09:51:01 UTC
Steps:
01) Clear your profile
02) Open Draw
03) Sidebar will be half open (meaning the sidebar buttons will only be visible)
04) Close Draw and Open Impress
05) Sidebar will be in the same half open state
06) Close LO
07) Clear your profile
08) Open Impress
09) Sidebar will be fully open
10) Close Impress and Open Draw
11) Sidebar will be fully open rather than half open

This isnt a major issue because once you change the sidebar state in impress or draw it will keep that state.

Version: 4.5.0.0.alpha0+
Build ID: e570cd7a293ceee175949dcc9656cdf776ae3c37
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-12-12_18:49:54
Comment 1 V Stuart Foote 2014-12-28 18:28:20 UTC
Confirming behavior.

Setting to UX-advise, this is a Sidebar configuration issue. Related our *lack* of effective customization (bug 67770), and earlier work to provide each module with its own Sidebar configuration (bug 69534).
Comment 2 Yousuf Philips (jay) (retired) 2014-12-31 21:15:34 UTC
I believe the simple solution to solve this problem is to have Draw's sidebar open in full mode as it does not take away from the size of the page and has the benefit of centering the page on the screen rather than it being positioned more to the right.
Comment 3 Yousuf Philips (jay) (retired) 2015-04-21 11:00:41 UTC
Kendy fixed this a few days ago, as part of the reorganization of Draw's UI (bug 90090), so that the sidebar opens in full in Draw.